/*
 * GNU.FREE 2002
 *
 * Copyright (c) 1999, 2000, 2001, 2002
 * The Free Software Foundation (www.fsf.org)
 *
 * GNU.FREE Co-ordinator: Jason Kitcat <jeep@free-project.org>
 *
 * GNU site: http://www.gnu.org/software/free/
 * 
 * FREE e-democracy site: http://www.free-project.org
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program (COPYING); if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 */

/**
 * FTest Class
 * @version 0.3 31 January 2001
 * @author Jason Kitcat, Rajagopal C.V
 */

package FreeTest;

import java.net.*;
import java.io.*;
import java.awt.*;

import Free.awt.*;

public class FTest 
{

	protected static TestFrame1 frame;
	protected static Comms comms;
	
	protected FTest() 
	{
		try {
			// For native Look and Feel, uncomment the following code.
			/*
			try {
				UIManager.setLookAndFeel(UIManager.getSystemLookAndFeelClassName());
			} 
			catch (Exception e) { 
			}
			*/
			frame = new TestFrame1();
			
			comms = new Comms();
			Boundary.setData();

			FreePanel.showSplash(4000);
			RSAEncrypt.init();
			
			frame.initComponents();
			frame.setVisible(true);
			frame.showInfo("Welcome to the GNU.FREE Test Suite 0.7");
		}
		catch (Exception e) {
			e.printStackTrace();
		}
	}

	// Main entry point
	/*
	static protected void main(String[] args) 
	{
		new FTest();
	}
	*/

	public static void main( String args[]){
		FTest frame4 = new FTest();
	}
	
} //EOF Class
